Subject: Re: [netlmm] Is DAD needed for MN-HoA in PMIPv6

From: Julien Laganier <[email-masked]>
Date: Fri, 1 Jun 2007 09:29:38 +0200

Hi Sri,

On Friday 01 June 2007 05:14, Sri Gundavelli wrote:

[...]

> > > > I guess if the interface on the mobile is
> > > > *other* than "NOARP(e.g., PPP)", DAD should be
> > > > performed independent of whether the prefix is
> > > > Per-MN prefix or shared Prefix. Is that
> > > > correct?
> > >
> > > Yes. DAD is used for establishing both the
> > > link-local address and global address uniqueness
> > > on the link. So, it is independent of the
> > > prefix/link model. Even though we allocate a
> > > prefix for each mobile, from the perspective of
> > > the mobile, its not leasing the whole prefix, as
> > > in NEMO. Its just sharing the prefix.
> >
> > If the MN has DNAv6, it will not re-DAD its MN-HoA
> > after handover where the prefix advertized remains
> > the same. DAD for MN-HoA only occurs at first
> > attachment to a given NETLMM domain.
>
> Sure. The mobile may not do DAD in some cases, as in
> for DNAv6. Now, that the link between the MN and the
> AR is a p2p link, does DNAv6 spec cover the mobile's
> behaviour on a p2p link ? For example it case of a
> PPP link ?

DNAv6 is independent of the underlying link technology, 
it works on both shared and p2p links (although some 
parts of DNAv6, i.e. Fast Router Advertisement, are 
more applicable to shared links.) 

--julien

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Christian Vogt <[email-masked]>
Date: Mon, 04 Jun 2007 10:50:09 +0300

> after handover where the prefix advertized remains the
> same. DAD for MN-HoA only occurs at first attachment
> to a given NETLMM domain.

As this might be important for the MN-MAG interface:  You can actually
toggle the "DNASameLinkDAD" flag so that the mobile node will re-run DAD
for the home address even when IP connectivity did not change (from the
mobile node's perspective).  But the default for this is deactivated.

Best,
- Christian

---

From: Julien Laganier <[email-masked]>
Date: Wed, 6 Jun 2007 14:01:45 +0200

On Monday 04 June 2007 09:50, Christian Vogt wrote:
> As this might be important for the MN-MAG interface:
>  You can actually toggle the "DNASameLinkDAD" flag
> so that the mobile node will re-run DAD for the home
> address even when IP connectivity did not change
> (from the mobile node's perspective).  But the
> default for this is deactivated.

Yes, we discussed that already some time ago. 

The issue still is that the flag is disabled by 
default. It doesn't seem we can assume that the flag 
will be enabled for every DNAv6 host in a NETLMM 
domain.

--julien

---

From: Christian Vogt <[email-masked]>
Date: Thu, 07 Jun 2007 09:01:49 +0300

> will be enabled for every DNAv6 host in a NETLMM 

Hello Julien,

this relates to the interesting question of what we actually mean by
"supporting legacy hosts":  Does it mean that any random node on the
street should interoperate directly, regardless of configuration?  Does
it mean that a plain IPv6 stack with /default/ configuration values
should interoperate?  Or does it mean that a plain IPv6 stack,
conforming to RFC 4294, is sufficient, but some configuration may be
necessary -- e.g. through executing a Windows installer or running a
script on the mobile node...?

- Christian

---

From: "Kalin Getov" <[email-masked]>
Date: Fri, 08 Jun 2007 14:34:40 +0200

Hello Sri, Ashuntosh...

sorry for jumping into this discussion, only to clarify.

As in rfc2462, the link-local and global address config can be started in parallel. If the Per-MN prefix model guarantees the global address uniqueness I think the MAG should(could) block the start of DAD for the global address per flag set in the RA sent to the MN. IMO, there should be a possibility to avoid DAD in the default functionality of PMIP as this is one of the advantages of the Per-MN prefix model.
  After successfully getting the HNP, the MAG sends event triggered (not waiting for RtSol from the MN or timers) an RA to the MN with a flag set, that points to the MN to skip the DAD for the global address. Is this behaviour acceptable?

(the link-local address uniqueness can still be checked in parallel)

Thanks, Kalin

-------- Original-Nachricht --------
Datum: Wed, 30 May 2007 23:22:32 -0700
Von: "Sri Gundavelli" <[email-masked]>
An: "\'Ashutosh Dutta\'" <[email-masked]>
CC: \'netlmm\' <[email-masked]>
Betreff: RE: [netlmm] Is DAD needed for MN-HoA in PMIPv6

> Hi Ashutosh:
> 
>  
> 
> > -----Original Message-----
> > From: Ashutosh Dutta [mailto:[email-masked]] 
> > Sent: Friday, May 25, 2007 11:26 AM
> > To: Sri Gundavelli
> > Cc: Kandra Mohan-a22098; netlmm
> > Subject: Re: [netlmm] Is DAD needed for MN-HoA in PMIPv6
> > 
> > I guess if the interface on the mobile is *other* than "NOARP(e.g., 
> > PPP)", DAD should be performed independent of whether the prefix is 
> > Per-MN prefix or shared Prefix. Is that correct?
> > 
> 
> Yes. DAD is used for establishing both the link-local address and
> global address uniqueness on the link. So, it is independent of 
> the prefix/link model. Even though we allocate a prefix for each
> mobile, from the perspective of the mobile, its not leasing the
> whole prefix, as in NEMO. Its just sharing the prefix.
> 
> W.r.t, link-local address uniqueness, for the PPP example, the
> interface-identifier is negotiated by the peers as part of the
> IPv6CP option negotiation. DAD may not be required for that case,
> but that's just a recommendation.
> 
> As per IPV6CP [RFC-2472]:
> 
> "As long as the Interface Identifier is negotiated in the IPV6CP phase
> of the PPP connection setup, it is redundant to perform duplicate
> address detection as a part of the IPv6 Stateless Autoconfiguration
> protocol [3].  Therefore it is recommended that for PPP links with
> the IPV6CP Interface-Identifier option enabled the default value of
> the DupAddrDetectTransmits autoconfiguration variable [3] be zero."
> 
> I think, we should just let the mobile decide on the DAD optimizations,
> allow the normal host behavior, based on the link types and other
> considerations such as ODAD, IMO.
> 
> Regards
> Sri
> 
> 
> > Thanks
> > Ashutosh
> > 
> > Sri Gundavelli wrote:
> > > 
> > > 
> > > On Thu, 24 May 2007, Kandra Mohan-a22098 wrote:
> > > 
> > >>>>
> > >>>> DAD is required only in case of shared prefix, right? In case of
> > >>>> per-MN prefix I think DAD is not required.
> > >>> Whether the prefix is shared or per-MN doesn't matter. As 
> > Sri said,
> > >>> MN just follow the RFC2462.
> > >> [Mohan] In case of per-MN prefix as the prefix is unique, 
> > performing DAD
> > >> is not necessary, right, If DAD is enabled at MN.
> > >>
> > >>>> Is MN that intelligent in distinguishing between shared 
> > prefix and
> > >>>> per-MN prefix?
> > >>> Why does MN need to know the prefix type?
> > >> [Mohan] I mean if MN can know the prefix type it can skip 
> > DAD operation
> > >> in case of per-MN prefix and the delay with DAD can be 
> > eliminated in
> > >> this case. That's it.
> > >>>
> > > 
> > > Global prefix is not shared, but both the MAG and the mobile is
> > > sharing the same link. DAD is necessary for detecting link-local
> > > address collision with the MAG. In any case, as Ryuji pointed
> > > out, we are not attempting to change the host behaviour.
> > > 
> > > Sri
> > > 

-- 
******************************************
Best Regards
Kalin Getov

[email-masked]
******************************************

GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail

---

From: "Sri Gundavelli" <[email-masked]>
Date: Sun, 10 Jun 2007 21:27:34 -0700

Hi Kalin,

> From: Kalin Getov [mailto:[email-masked]] 
> Sent: Friday, June 08, 2007 5:35 AM
> To: Sri Gundavelli; [email-masked]
> Cc: [email-masked]
> Subject: Re: RE: [netlmm] Is DAD needed for MN-HoA in PMIPv6
> 
>    Hello Sri, Ashuntosh...
> 
> As in rfc2462, the link-local and global address config can 
> be started in parallel. If the Per-MN prefix model guarantees 
> the global address uniqueness I think the MAG should(could) 
> block the start of DAD for the global address per flag set in 
> the RA sent to the MN. IMO, there should be a possibility to 
> avoid DAD in the default functionality of PMIP as this is one 
> of the advantages of the Per-MN prefix model.
>   After successfully getting the HNP, the MAG sends event 
> triggered (not waiting for RtSol from the MN or timers) an RA 
> to the MN with a flag set, that points to the MN to skip the 
> DAD for the global address. Is this behaviour acceptable?
> 

Are you referring to a new flag that should be added ? Currently,
there are no semantics in RA for supporting such behavior. For
example, MAG notifying the MN to do a DAD ..etc. But, its a good
idea to add some bits/options for the

- Access router forcing a node to perform DAD operation on the link,
  when the AR detects a new node on the link and knowing that the
  node would not detect the link change

- Avoid DAD operation in certain situations

These semantics are required and I had some email exchanges in Nov
with the authors of 2461bis for related extensions. But, I agree,
this extensions will be very useful when we support shared-prefix
model.

Thanks
Sri

---

From: "Kalin Getov" <[email-masked]>
Date: Mon, 11 Jun 2007 10:08:06 +0200

Hallo Sri,

yes I was pointing more to the case of avoiding DAD in some situations for the global address, but forcing DAD is useful in other cases too. I'm looking forward to see the version 01 of the base draft :).

Greetings, Kalin

[email-masked]

Der GMX SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen! 
Ideal für Modem und ISDN: http://www.gmx.net/de/go/smartsurfer

---

From: Ashutosh Dutta <[email-masked]>
Date: Mon, 11 Jun 2007 08:03:59 -0400

Sri, Kalin,

     Although it is a good idea to have the option in RA to stop the 
client from doing DAD, we may run the risk of having another 
mis-configured (malicious) client on the same link affecting the proper 
operation of the PMIP client in the absence of any DAD.

Thanks
Ashutosh

---

From: "Sri Gundavelli" <[email-masked]>
Date: Mon, 11 Jun 2007 10:48:33 -0700

Hi Kalin,

> Sent: Monday, June 11, 2007 1:08 AM
> To: Sri Gundavelli
> Cc: [email-masked]
> Subject: Re:[netlmm] Is DAD needed for MN-HoA in PMIPv6
> 
>   Hallo Sri,
> 
> yes I was pointing more to the case of avoiding DAD in some 
> situations for the global address, but forcing DAD is useful 
> in other cases too. I'm looking forward to see the version 01 
> of the base draft :).
> 
> Greetings, Kalin
> 

Yes. :) We will publish the -01 version this week. Got delayed a
bit, as we received some good comments over the last 3 weeks. 
My fault for the delay. You will see the new rev some time this
week.

Also, on the IPv4 support draft, we have not received any feedback.
Comments are welcome.

Regards
Sri